GNU bug report logs - #37266
gnupg/pinentry not aware of each other

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: jon@HIDDEN; merged with #24076, #36784; dated Mon, 2 Sep 2019 05:16:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
Merged 24076 36784 37266. Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 36784 37266. Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from Brice Waegeneire <brice@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37266 <at> debbugs.gnu.org:


Received: (at 37266) by debbugs.gnu.org; 18 Sep 2019 09:41:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 05:41:16 2019
Received: from localhost ([127.0.0.1]:53601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAWSa-00029f-0v
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:41:16 -0400
Received: from mx1.riseup.net ([198.252.153.129]:37990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mjbecze@HIDDEN>) id 1iAWSW-00029W-6Z
 for 37266 <at> debbugs.gnu.org; Wed, 18 Sep 2019 05:41:14 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 94AFA1A0EC2;
 Wed, 18 Sep 2019 02:41:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1568799671; bh=zsDNCYG4urnDFW9cC8E8yWzbHzfzlfqhOJbEMHCAENY=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=oi+EIp5paqCaP0imq9zPcBd7WTZK0fep4HsX9oDAwWfILb6gzu6nKCBpjqmwJfG96
 VGr+VELndykL0R6KRV9pH+CeJtEA1ZycZY/l7TMB9tS3ceni2inB4A085zwVuE//3M
 FIRuKrLrYQxY/kai8tysWiQx/9Fk7kh+WjB5vWYA=
X-Riseup-User-ID: 58B05248C8919B09D9BAF920D149E3090CCE58F5804156F9521AFA92CFCA4628
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 66D1E224166;
 Wed, 18 Sep 2019 02:41:11 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Wed, 18 Sep 2019 02:41:11 -0700
From: Martin Becze <mjbecze@HIDDEN>
To: jon@HIDDEN
Subject: Re: bug#37266: gnupg/pinentry not aware of each other
In-Reply-To: <b7a57a2e366a94aa9cf07a893899bccf@HIDDEN>
References: <b7a57a2e366a94aa9cf07a893899bccf@HIDDEN>
Message-ID: <8554f6221dc9c056b93a4bdee7638d48@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37266
Cc: bug-Guix <bug-guix-bounces+mjbecze=riseup.net@HIDDEN>,
 37266 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2019-09-02 04:56, jon@HIDDEN wrote:
> $ gpg --full-generate-key
> <snip>
> Change (N)ame, (C)omment, (E)mail or (O)kay/(Q)uit? o
> We need to generate a lot of random bytes. It is a good idea to perform
> some other action (type on the keyboard, move the mouse, utilize the
> disks) during the prime generation; this gives the random number
> generator a better chance to gain enough entropy.
> gpg: agent_genkey failed: No pinentry
> Key generation failed: No pinentry
> $ which pinentry
> /run/current-system/profile/bin/pinentry

try added `pinentry-program /home/USER/.guix-profile/bin/pinentry-gtk-2`
to `~/.gnupg/gpg-agent.conf`
let me know if that works. I also encountered this.




Information forwarded to bug-guix@HIDDEN:
bug#37266; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2019 05:15:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 02 01:15:43 2019
Received: from localhost ([127.0.0.1]:57415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i4ego-0005no-V1
	for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 01:15:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:59562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jon@HIDDEN>) id 1i4eO9-0005EV-Bp
 for submit <at> debbugs.gnu.org; Mon, 02 Sep 2019 00:56:26 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35484)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jon@HIDDEN>) id 1i4eO8-0003hA-7j
 for bug-guix@HIDDEN; Mon, 02 Sep 2019 00:56:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jon@HIDDEN>) id 1i4eO7-00024P-CB
 for bug-guix@HIDDEN; Mon, 02 Sep 2019 00:56:24 -0400
Received: from mx.dorsal.tk ([216.8.161.75]:8909)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jon@HIDDEN>) id 1i4eO7-00023E-8K
 for bug-guix@HIDDEN; Mon, 02 Sep 2019 00:56:23 -0400
Received: from default (localhost [127.0.0.1])
 by mx.dorsal.tk (Postfix) with ESMTPSA id 719E2123DFB
 for <bug-guix@HIDDEN>; Mon,  2 Sep 2019 00:56:22 -0400 (EDT)
MIME-Version: 1.0
Date: Mon, 02 Sep 2019 04:56:22 +0000
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: RainLoop/1.12.1
From: jon@HIDDEN
Message-ID: <b7a57a2e366a94aa9cf07a893899bccf@HIDDEN>
Subject: gnupg/pinentry not aware of each other
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 216.8.161.75
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 02 Sep 2019 01:15:40 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

$ gpg --full-generate-key=0A<snip>=0AChange (N)ame, (C)omment, (E)mail or=
 (O)kay/(Q)uit? o=0AWe need to generate a lot of random bytes. It is a go=
od idea to perform=0Asome other action (type on the keyboard, move the mo=
use, utilize the=0Adisks) during the prime generation; this gives the ran=
dom number=0Agenerator a better chance to gain enough entropy.=0Agpg: age=
nt_genkey failed: No pinentry=0AKey generation failed: No pinentry=0A$ wh=
ich pinentry=0A/run/current-system/profile/bin/pinentry




Acknowledgement sent to jon@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37266; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.